Notification targets

Get notification target

GET
/workspaces/{workspaceId}/notification-targets/{notificationTargetId}

Authorization

API key Alerts: read
AuthorizationBearer <token>

API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.

In: header

Scope: Alerts: read

Path Parameters

workspaceId*string
Formatuuid
notificationTargetId*string

Response Body

application/json

application/problem+json

curl -X GET "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/notification-targets/n4Tg81vBz6Rw"

Notification target detail.

{  "id": "n4Tg81vBz6Rw",  "name": "On-call e-mail",  "type": "Email",  "state": "Enabled",  "emailAddresses": [    "on-call@example.com",    "platform-team@example.com"  ],  "alertRuleCount": 4}